# TdApi.GetStatisticalGraph (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetStatisticalGraph

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStatisticalGraph

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.StatisticalGraph>
it.tdlight.jni.TdApi.GetStatisticalGraph

Enclosing class:
  TdApi

public static final class TdApi.GetStatisticalGraph extends TdApi.Function<TdApi.StatisticalGraph>
Loads an asynchronous or a zoomed in statistical graph. Returns `StatisticalGraph`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`String`
`token`
The token for graph loading.
`long`
`x`
X-value for zoomed in graph or 0 otherwise.

## Constructor Summary

Constructors
Constructor
Description
`GetStatisticalGraph()`
Loads an asynchronous or a zoomed in statistical graph.
`GetStatisticalGraph(long chatId, String token, long x)`
Loads an asynchronous or a zoomed in statistical graph.
`GetStatisticalGraph(DataInput input)`
Loads an asynchronous or a zoomed in statistical graph.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### token

public String token
The token for graph loading.

### x

public long x
X-value for zoomed in graph or 0 otherwise.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetStatisticalGraph

public GetStatisticalGraph()
Loads an asynchronous or a zoomed in statistical graph. Returns `StatisticalGraph`

### GetStatisticalGraph

public GetStatisticalGraph(long chatId, String token, long x)
Loads an asynchronous or a zoomed in statistical graph. Returns `StatisticalGraph`

Parameters:
  `chatId` - long Chat identifier.
  `token` - String The token for graph loading.
  `x` - long X-value for zoomed in graph or 0 otherwise.

### GetStatisticalGraph

public GetStatisticalGraph(DataInput input) throws IOException
Loads an asynchronous or a zoomed in statistical graph. Returns `StatisticalGraph`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`